--
-- Dekoder z 4bit hexa na sedmi segmentovku
--


--  jednotlivy segment je aktivni v LOW, vypnuty v HIGH
-- ridici elektroda je aktivni v LOW
--
--
--     E14
--     ---               a
--F13 |   | G13       f     b
--    |N16|
--     ---               g
--R16 |   | N15       e     c
--    |P15|
--     ---   o           d    (dp)
--           P16
--
--
--Anody:  AN3  AN2  AN1  AN0
--FPGA :  E13  F14  G14  D14
--

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity segment is
    Port ( DSELECT : in std_logic_vector(3 downto 0);
           DIGIT   : out std_logic_vector(6 downto 0)
          );
end segment;

architecture Behavioral of segment is
begin
	DIGIT <= "0000001" when DSELECT = X"0" else
				"1001111" when DSELECT = X"1" else 
				"0010010" when DSELECT = X"2" else 
				"0000110" when DSELECT = X"3" else 
				"1001100" when DSELECT = X"4" else 
				"0100100" when DSELECT = X"5" else 
				"0100000" when DSELECT = X"6" else 
				"0001111" when DSELECT = X"7" else 
				"0000000" when DSELECT = X"8" else 
				"0000100" when DSELECT = X"9" else 
				"0001000" when DSELECT = X"A" else
				"1100000" when DSELECT = X"b" else
				"0110001" when DSELECT = X"C" else
				"1000010" when DSELECT = X"d" else
				"0110000" when DSELECT = X"E" else
				"0111000" when DSELECT = X"F";
end Behavioral;
